ace.define("ace/mode/pdjsexpression_highlight_rules", ["require", "exports", "module", "ace/lib/oop", "ace/mode/text_highlight_rules"], function (require, exports, module) {
"use strict";

var oop = require("../lib/oop");
var TextHighlightRules = require("./text_highlight_rules").TextHighlightRules;

var PdJsExpressionHighlightRules = function() {

    var keywords = (
        "and|or|not"
    );

    var keywordMapper = this.createKeywordMapper({
        "keyword": keywords
    }, "identifier", true);

    this.$rules = {
        "start" : [{
            token : "comment",
            start : "#",
            end : "#"
        }, {
            token : "string",
            regex : '".*?"'
        }, {
            token : keywordMapper,
            regex : "[a-zA-Z_$][a-zA-Z0-9_$]*\\b"
        }, {
            token : "paren.lparen",
            regex : "[\\(]"
        }, {
            token : "paren.rparen",
            regex : "[\\)]"
        }, {
            token : "text",
            regex : "\\s+"
        } ]
    };
    this.normalizeRules();
};

oop.inherits(PdJsExpressionHighlightRules, TextHighlightRules);

exports.PdJsExpressionHighlightRules = PdJsExpressionHighlightRules;

});

ace.define("ace/mode/pdjsexpression", ["require", "exports", "module", "ace/lib/oop", "ace/mode/text", "ace/mode/pdjsexpression_highlight_rules"], function (require, exports, module) {
    "use strict";

    var oop = require("../lib/oop");
    var TextMode = require("./text").Mode;
    var PdJsExpressionHighlightRules = require("./pdjsexpression_highlight_rules").PdJsExpressionHighlightRules;

    var Mode = function () {
        this.HighlightRules = PdJsExpressionHighlightRules;
        this.$behaviour = this.$defaultBehaviour;
    };
    oop.inherits(Mode, TextMode);

    (function () {

        this.lineCommentStart = "--";

        this.$id = "ace/mode/pdjsexpression";
        //this.snippetFileId = "ace/snippets/sql";
    }).call(Mode.prototype);

    exports.Mode = Mode;

});

(function () {
    ace.require(["ace/mode/pdjsexpression"], function (m) {
        if (typeof module == "object" && typeof exports == "object" && module) {
            module.exports = m;
        }
    });
})();
